From da402d66df24e3d0120dc933dcba5a6aa16454ed Mon Sep 17 00:00:00 2001
From: alecpl <alec@alec.pl>
Date: Tue, 07 Oct 2008 09:52:39 -0400
Subject: [PATCH] #1485456: small improvements in scripts

---
 bin/dumpschema.php |    2 +-
 bin/makedoc.sh     |   17 ++++++++++++++---
 2 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/bin/dumpschema.php b/bin/dumpschema.php
index 683e271..53c688c 100644
--- a/bin/dumpschema.php
+++ b/bin/dumpschema.php
@@ -1,6 +1,6 @@
 <?php
 
-define('INSTALL_PATH', realpath('./../') . '/');
+define('INSTALL_PATH', realpath(dirname(__FILE__) . '/..') . '/' );
 require INSTALL_PATH.'program/include/iniset.php';
 
 /** callback function for schema dump **/
diff --git a/bin/makedoc.sh b/bin/makedoc.sh
index 5925d0a..02bc7a2 100755
--- a/bin/makedoc.sh
+++ b/bin/makedoc.sh
@@ -3,9 +3,20 @@
 TITLE="RoundCube Classes"
 PACKAGES="Core"
 
-PATH_PROJECT=$PWD/program/include
-PATH_DOCS=$PWD/doc/phpdoc
-PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+INSTALL_PATH="`dirname $0`/.."
+PATH_PROJECT=$INSTALL_PATH/program/include
+PATH_DOCS=$INSTALL_PATH/doc/phpdoc
+
+if [ -x /usr/local/php5/bin/phpdoc ]
+then
+  PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+elif [ -x /usr/bin/phpdoc ]
+then
+  PATH_PHPDOC=/usr/bin/phpdoc
+else
+  echo "phpdoc not found"
+  exit 1
+fi
 
 OUTPUTFORMAT=HTML
 CONVERTER=frames

--
Gitblit v1.9.1